import pycom as py
from network import WLAN
from usocket import socket
import utime
import sys
py.heartbeat(False)
w = WLAN()
#wlan.init(mode=WLAN.AP, ssid='lr_test', auth=None, lr=True)
w.init(mode=WLAN.STA, antenna=WLAN.EXT_ANT)

if not w.isconnected():
    w.connect(ssid='test', auth=None)
    while not w.isconnected():
        utime.sleep_ms(50)
print(w.ifconfig())

while True:
    counter = 0
    s = socket()
    print('Connecting socket to AP')
    s.connect(('192.168.4.1', 1234))
    while True:
        s.settimeout(2) #set socket timeout in seconds. If timeout expires it wil try to reconnect with AP
        try:
            s.send(counter.to_bytes(4, sys.byteorder))
            recv_buf = s.recv(4)
            counter = counter.from_bytes(recv_buf, sys.byteorder)
            print(counter)
            utime.sleep(1)
        except Exception as e:
            py.rgbled(0xFF0000)
            utime.sleep(1)
            py.rgbled(0)
            print(e)
            s.settimeout(None) #set socket in blocking mode
            s.close()
            break
w.disconnect()
w.deinit()
